Subject: Re: [PATCH net-next v2] 6lowpan: Moving generic compression code into 6lowpan_iphc.c

From: Alexander Aring <[email-masked]>
Date: Tue, 10 Dec 2013 15:19:24 +0100

On Tue, Dec 10, 2013 at 01:12:10PM +0100, Marcel Holtmann wrote:
> Hi Alexander,
> 
> > thanks for working on this! Now my acked-by is correct, sry. Didn't
> > catch the debug output at first time.
> > 
> >> Because the IEEE 802154 and Bluetooth share the IP header compression
> >> and uncompression code, the common code is moved to 6lowpan_iphc.c
> >> file.
> >> 
> >> Signed-off-by: Jukka Rissanen <[email-masked]>
> >> ---
> > 
> > Acked-by: Alexander Aring <[email-masked]>
> 
> are you fine with us carrying these patches through bluetooth-next tree.
> 

yes.

> Dave, or do you want to merge this one into net-next and then we have wireless-next pulling that in.
> 
> I am trying to figure out on how we get this handled with the minimum of conflicts during the next merge window. And also at the same time get enough exposure via linux-next. The Bluetooth part is getting ready to be pushed into bluetooth-next.
> 
I have some pending patches for udp iphc format and a rework of the
fragmentation api. I already rebased these patches on Jukka's patch.

So you can apply this patch in bluetooth-next.
Then I will wait until bluetooth-next is merged into net-next.

Is that okay for you?

- Alex